Fóruns sobre PHP, JavaScript, HTML, MySQLi, jQuery, Banco de Dados, CSS


Moderador: web

 
Avatar do usuário
ADMIN
ADMIN
Tópico Autor
Mensagens: 17736
Nome: Kleber
Descrição do site: Onde você encontra scripts grátis para o seu site
Sexo: Masculino
Localização: RJ / RJ / Brasil
Contato:

Usando PHP 4 no Xampp

22-05-2010 19:57

O Xampp mais atual vem com a versão PHP 5, mesmo assim, é possível fazer o Xampp rodar com o PHP 4, para isso, acesse o seguinte:

Iniciar / Todos os programas / Apache Friends / XAMPP / PHP switch

A partir daí surge uma tela DOS, lhe dando 2 opções:

Pressionar 4 para usar a versão do PHP 4 ou x para sair.

Se você usar a versão 4, para voltar para a 5 é a mesma ordem acima.
0
A melhor hospedagem para o seu site HostGator!
 
Mais de 1000 postagens
Mais de 1000 postagens
Mensagens: 1309
Sexo: Masculino

Usando PHP 4 no Xampp

09-06-2010 23:44

Baixei a última versão do Xampp, 1.7.3, nas duas formas indicadas, primeiro a exe e depois a zip, e não há o arquivo para proceder conforme sua orientação. Do site do Xampp consta o seguinte:

Questão 5: Como eu posso mudar entre o PHP5 e o PHP4 ou o contrário?
O XAMPP ( Não o Lite!) contém ambos os PHP 5 e o PHP 4. Para mudar entre estas versões, por favor, utilize o "php-switch.bat" ($path-to-xampp\xampp\php-switch.bat). NOTA: O servidor Apache deve ser interrompido antes de fazer estas mudanças.

Mas não há o arquivo php-switch.bat, e se procedo conforme sugerido no post, não há a opção PHP switch na path informada. Pesquisando na web, outras pessoas tiveram o mesmo problema. E a versão baixada não é a Lite.

Há alguma idéia do que esteja ocorrendo?
0
 
Mais de 1000 postagens
Mais de 1000 postagens
Mensagens: 1309
Sexo: Masculino

Usando PHP 4 no Xampp

10-06-2010 00:29

Parece que o arquivo php.swith.bat não está incluído na última versão do software. Baixei a versão 1.6.1, que possui o arquivo. Porém, ela não quer instalar no WinXP. Vou copiar o arquivo para a última versão e ver se consigo executá-lo.
0
 
Avatar do usuário
ADMIN
ADMIN
Tópico Autor
Mensagens: 17736
Nome: Kleber
Descrição do site: Onde você encontra scripts grátis para o seu site
Sexo: Masculino
Localização: RJ / RJ / Brasil
Contato:

Usando PHP 4 no Xampp

10-06-2010 08:55

A versão do Xampp que uso é: XAMPP para Windows Version 1.6.7! E vem com o PHP 5.2.6

Para o arquivo acessado, tem um atalho, que indiquei pelo Iniciar...

Ele originalmente fica em C:\xampp\ e tem o nome php-switch.bat

Confira ai se os dados estão batendo com sua versão.
0
A melhor hospedagem para o seu site HostGator!
 
Mais de 1000 postagens
Mais de 1000 postagens
Mensagens: 1309
Sexo: Masculino

Usando PHP 4 no Xampp

10-06-2010 13:43

E esse arquivo php-switch.bat é que falta na última versão do Xampp (devo tê-lo grafado errado atrás). Eu peguei esse arquivo da versão 1.6.1 e inseri na pasta principal da última versão do software (1.7.3), mas não rodou. Instalei a versão 1.6.1 e alterei o PHP para 4 com citado arquivo. Vou ver se consigo baixar a versão que você citou, pois se digito o nome do software com versão mais antiga no Google, muitos links remetem ao site do software, onde somente encontrei a última versão. Consegui rodar o site na versão 1.6.1, com PHP alterado para 4. Acho sacanagem o autor do software dizer que tem o arquivo php-switch.bat na última versão, e, na verdade, não ter, e os usuários ficarem perdidos em razão disso.
0
 
Avatar do usuário
ADMIN
ADMIN
Tópico Autor
Mensagens: 17736
Nome: Kleber
Descrição do site: Onde você encontra scripts grátis para o seu site
Sexo: Masculino
Localização: RJ / RJ / Brasil
Contato:

Usando PHP 4 no Xampp

10-06-2010 13:53

blz, qqr coisa só falar.
0
A melhor hospedagem para o seu site HostGator!
 
Primeiras postagens
Primeiras postagens
Mensagens: 1

Usando PHP 4 no Xampp

09-08-2010 20:07

se vc lê com um pouco de atenção verá que está no site da xampp o motivo do porque não está mais disponivel o switch para a versão 4.
O PHP4 está descontinuado.
0
 
Avatar do usuário
ADMIN
ADMIN
Tópico Autor
Mensagens: 17736
Nome: Kleber
Descrição do site: Onde você encontra scripts grátis para o seu site
Sexo: Masculino
Localização: RJ / RJ / Brasil
Contato:

Usando PHP 4 no Xampp

09-08-2010 20:16

Tá certo, usar uma versão descontinuada é persistir no erro :smile:
0
A melhor hospedagem para o seu site HostGator!

Quem está online

Usuários navegando neste fórum: Nenhum usuário registrado